Loading...
Searching...
No Matches
caf::uri::authority_type Struct Reference

Bundles the authority component of the URI, i.e., userinfo, host, and port. More...

`#include <uri.hpp>`

## Public Member Functions

bool | empty () const noexcept
| Returns whether host is empty, i.e., the host is not an IP address and the string is empty.

## Public Attributes

std::string | userinfo
host_type | host
uint16_t | port

## Detailed Description

Bundles the authority component of the URI, i.e., userinfo, host, and port.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/uri.hpp